/*******************************************************
//
//	Name: CSoundSystem.h
//
//	Author: Dave Ratti
//
//	Date:2-28-02
//
//	Modified: 
//
//	Notes: Abstract base class from Sound.
//	
//
//
//
*********************************************************/



#ifndef CSOUND_SYSTEM
#define CSOUND_SYSTEM

#include "STRINGC.h"
#include "Singleton.h"

#define g_SoundSystem CSoundSystem::GetSingleton()

class CSound;

class CSoundSystem: public Singleton <CSoundSystem>
{

public:
	
	virtual ~CSoundSystem(){ };

	virtual bool Init()=0;
	virtual bool Shutdown()=0;	

	//----------------------------------------------------------------//
	//	Loading Drawing Playing Sounds
	//----------------------------------------------------------------//	

	virtual void		PlayCSound(CSound* img, bool loop=false)=0;	
	virtual CSound*		LoadCSound(STRINGC fileName)=0;


protected:

};


#endif